## org.jfree.chart.plot
Class PlotOrientation

    java.lang.Object
      org.jfree.chart.plot.PlotOrientation

All Implemented Interfaces:
  java.io.Serializable

public final class PlotOrientation
extends java.lang.Object
implements java.io.Serializable

Used to indicate the orientation (horizontal or vertical) of a 2D plot.

See Also:
  Serialized Form

Field Summary
`static PlotOrientation` `HORIZONTAL` For a plot where the range axis is horizontal.
`static PlotOrientation` `VERTICAL` For a plot where the range axis is vertical.

Method Summary
`boolean` `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HORIZONTAL

    public static final PlotOrientation HORIZONTAL

  For a plot where the range axis is horizontal.

### VERTICAL

    public static final PlotOrientation VERTICAL

  For a plot where the range axis is vertical.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object o)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Parameters:
    `o` - the other object.
  Returns:
    A boolean.